<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Newsletteranmeldung</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body>
<?php
require("sql.php");
if ((isset($_GET['pruefe'])) && (isset($_GET['email']))) {
$zeiger=mysql_connect ($sqlip,$sqlbenutzer,$sqlpassw) or die ("Konnte Datenbank nicht &ouml;ffnen");
mysql_select_db ("$sqlname");
$anfrage="SELECT * FROM pruefe WHERE email='$_GET[email]'";
$erg_pruefe=mysql_query($anfrage,$zeiger);
$erg_pruefe_array=mysql_fetch_array($erg_pruefe);
mysql_close($zeiger) or die ("Konnte Datensatz nicht lesen: ".mysql_error() );
if ($_GET['pruefe']==$erg_pruefe_array[0]) {
$zeiger=mysql_connect ($sqlip,$sqlbenutzer,$sqlpassw) or die ("Konnte Datenbank nicht &ouml;ffnen");
mysql_select_db ("$sqlname");
$anfrage="SELECT EMail FROM newsletter WHERE EMail='$_GET[email]'";
$ergebnis=mysql_query($anfrage,$zeiger);
$vorhanden=FALSE;
while ($datensatz=mysql_fetch_row($ergebnis)) {
if (!empty($datensatz[0])) {
$vorhanden=TRUE;
print "<p><strong>Diese Emailadresse ist bereits eingetragen!</strong></p>";
};
};
if ($vorhanden==FALSE) {
$anfrage="INSERT INTO newsletter (EMail) VALUES ('$_GET[email]')";
mysql_query($anfrage,$zeiger) or die ("Konnte Datensatz nicht hinzuf&uuml;gen: ".mysql_error() );
print "<p><strong>Sie haben sich erfolgreich für den Newsletter angemeldet.</strong></p>";
};
mysql_close($zeiger);
} else {
print "<p><strong>Falsche Daten!</strong></p>";
};
};
?>
</body>
</html>